function autocor = acf(data,j)
% This function calculates the autocorrelation function evaluated at lag j
% for the input data
% data     nobs x1 vector of data
% j        scalar - the lag at which the ACF is evaluated
%
T = length(data);
datasq = data.^2;
autocordown = sum(datasq);

datj = data(j+1:T);
datlagj = data(1:T-j);
lagjprod = datj .* datlagj;
autocorup = sum(lagjprod);

autocor = autocorup / autocordown;